Skip to main content
GET
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
curl --request GET \
  --url https://api.questra.ai/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "data": [
    {
      "id": "<string>",
      "webhook_id": "<string>",
      "event": "<string>",
      "status": "succeeded",
      "attempt": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "status_code": 123,
      "request_body": "<string>",
      "response_body": "<string>",
      "duration_ms": 123
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Query Parameters

limit
integer
default:20
offset
integer
default:0

Response

200 - application/json

List of delivery attempts

data
object[]
total
integer